Debian Bug report logs - #636648
libcache-perl: use Digest::SHA and drop (Build-)Depends(-Indep) on libdigest-sha1-perl

version graph

Package: src:libcache-perl; Maintainer for src:libcache-perl is Dominic Hargreaves <dom@earth.li>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Thu, 4 Aug 2011 20:42:01 UTC

Severity: normal

Tags: patch

Found in version libcache-perl/2.04-2

Fixed in version libcache-perl/2.04-3

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#636648; Package src:libcache-perl. (Thu, 04 Aug 2011 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Dominic Hargreaves <dom@earth.li>. (Thu, 04 Aug 2011 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcache-perl: use Digest::SHA and drop (Build-)Depends(-Indep) on libdigest-sha1-perl
Date: Thu, 04 Aug 2011 22:38:50 +0200
[Message part 1 (text/plain, inline)]
Source: libcache-perl
Version: 2.04-2
Severity: normal
Tags: patch
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi Dominic

As you migth already know we would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

There are "long time" no new upstream versions, but popcon is high for
libcache-perl. and it has liburi-fetch-perl reccomending
libcache-perl. Could you apply the patch for this?

Regards,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[use-Digest-SHA.patch (text/x-diff, attachment)]

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Fri, 05 Aug 2011 18:06:03 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Fri, 05 Aug 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 636648-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 636648-close@bugs.debian.org
Subject: Bug#636648: fixed in libcache-perl 2.04-3
Date: Fri, 05 Aug 2011 18:03:16 +0000
Source: libcache-perl
Source-Version: 2.04-3

We believe that the bug you reported is fixed in the latest version of
libcache-perl, which is due to be installed in the Debian FTP archive:

libcache-perl_2.04-3.debian.tar.gz
  to main/libc/libcache-perl/libcache-perl_2.04-3.debian.tar.gz
libcache-perl_2.04-3.dsc
  to main/libc/libcache-perl/libcache-perl_2.04-3.dsc
libcache-perl_2.04-3_all.deb
  to main/libc/libcache-perl/libcache-perl_2.04-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated libcache-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Aug 2011 18:44:40 +0100
Source: libcache-perl
Binary: libcache-perl
Architecture: source all
Version: 2.04-3
Distribution: unstable
Urgency: low
Maintainer: Dominic Hargreaves <dom@earth.li>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcache-perl - Cache interface
Closes: 636648
Changes: 
 libcache-perl (2.04-3) unstable; urgency=low
 .
   * Switch to dpkg-source 3.0 (quilt) format
   * Add Vcs-* fields
   * Update Standards-Version (no changes)
   * Switch to minimal dh7 rules
   * Apply patch to switch from Digest::SHA1 to Digest::SHA which is
     included with perl (closes: #636648)
   * Improve description (thanks, Lintian)
   * Add explicit copyright notice to debian/copyright (thanks, Lintian)
Checksums-Sha1: 
 793f8bf2a39692ae4827639e23c67f06287af50e 1333 libcache-perl_2.04-3.dsc
 07705ed0d452a7edd0ab8a3c0483dc8f6fc7ec97 2570 libcache-perl_2.04-3.debian.tar.gz
 86475073c6b30b9fc51b8c63168194d271ff0b53 73434 libcache-perl_2.04-3_all.deb
Checksums-Sha256: 
 de3d932139a3afd955f46a5199975f7878ed8c2a753a6ba19c2355eb05decccd 1333 libcache-perl_2.04-3.dsc
 d46813a3f18e724b1c75876efc080dd4904fecf7c9a195ca0a806c4e2f1623d8 2570 libcache-perl_2.04-3.debian.tar.gz
 f9555aca2d2e565edf21fa5c2b53b30c3af02bbb3d6b7b8a924119760497c621 73434 libcache-perl_2.04-3_all.deb
Files: 
 05e072693a1f0361b0132ea35ade7c5d 1333 perl optional libcache-perl_2.04-3.dsc
 da355afaf6c810391da7e7ad2ab7e380 2570 perl optional libcache-perl_2.04-3.debian.tar.gz
 a10862b143d5ded0da3cb5b72d54baa8 73434 perl optional libcache-perl_2.04-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOPCxNYzuFKFF44qURAj+JAJ4h76WXnZ/RIgVPGc+3WkfkzDouuwCdFHRR
bjCSSUIf6aVK4I4BfQmsnuw=
=1NCc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Sep 2011 07:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:44:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.